<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>demo funciones</title>
</head>
<body>
  <script type="text/javascript">

    //declaración de una función
    const saludar = (hora) => {
      if(hora <19){
        return "buenas tardes";
      }else{
        return "buenas noches";
      }
  };

    const despedir = () => console.log("hasta luego");

    const sumar = (numero1, numero2) => {
      return numero1+numero2;
    };

    function restar(numero1, numero2) {
      let resultado = numero1-numero2;
      return resultado;
    }

    const multiplicar = (numero1, numero2) => numero1*numero2;

    function testScope() {
      let scope = "soy local";
      console.log("estoy en testScope:"+ scope);

      scope = "mundo mundial";
      console.log(scope);
    }

    const scope2 = "soy global";

    const testScope2 = () => {
      const scope2 = "soy local";
      let pais = "arg";
      console.log("estoy en testScope2: "+ scope2);
    }

    testScope2();


    testScope();

    //llamado de una función
    // const horaLocal = parseInt(prompt('qué hora es?'));
    // const respuesta = saludar(horaLocal);
    // console.log(respuesta);

    const numero1 = parseInt(prompt('dime un número'));
    const numero2 = parseInt(prompt('dime otro número'));

    const operacion = confirm('presione cancelar para sumar o aceptar para multiplicar');

    if(operacion){
      console.log(multiplicar(numero1, numero2));
    }else {
      console.log(sumar(numero1, numero2));
    }

  </script>
</body>
</html>